﻿using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows.Controls;
using Microsoft.TeamFoundation.MVVM;
using System.Windows.Input;

namespace DockingManager.ViewModel
{
    public class MainWindowViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<UserControl> _myDocs;
        public ObservableCollection<UserControl> MyDocs
        {
            get
            {
                return _myDocs;
            }
            set
            {
                _myDocs = value;
                OnPropertyChanged("_myDocs");
            }
        }
  
        protected void OnPropertyChanged(string name)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(name));
        }

        public UserControl1 MyUc { get; set; }
        static int n = 0;

        public event PropertyChangedEventHandler PropertyChanged;

        private RelayCommand _myCmd;

        public RelayCommand MyCmd
        {
            get
            {
                return _myCmd;
            }
            set
            {
                _myCmd = value;
            }
        }


        public MainWindowViewModel()
        {
            MyDocs = new ObservableCollection<UserControl>();
            MyCmd = new RelayCommand(button_Click);
        }


        private void button_Click()
        {
            MyUc = new UserControl1();
            MyUc.ControlText.Text = "User Control " + n.ToString();
            n += 1;
            MyDocs.Insert(0, MyUc);
        }
    }
  
}
